>From 4545ec0f74953833069f962b600e47a241774f2c Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Tue, 21 Feb 2017 09:33:14 -0600
Subject: [PATCH] Added access banner to KRA UI.

All pages in KRA UI have been modified to retrieve access banner
and display it once at the beginning of the SSL connection.

https://fedorahosted.org/pki/ticket/2582
---
 base/kra/shared/webapps/kra/404.html                           |  8 ++++++--
 base/kra/shared/webapps/kra/500.html                           |  8 ++++++--
 base/kra/shared/webapps/kra/GenUnexpectedError.template        |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenError.template            |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenPending.template          |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenRejected.template         |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenSuccess.template          |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenSvcPending.template       |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenUnauthorized.template     |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/GenUnexpectedError.template  |  9 ++++++++-
 base/kra/shared/webapps/kra/agent/header.template              |  8 ++++++--
 base/kra/shared/webapps/kra/agent/index.jsp                    |  9 +++++++++
 base/kra/shared/webapps/kra/agent/index.template               |  8 ++++++--
 base/kra/shared/webapps/kra/agent/kra/GrantRecovery.html       |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/ListRequests.html        |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/SrchKey.html             |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/SrchRecoverKey.html      |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/confirmRecover.html      | 10 +++++++++-
 .../webapps/kra/agent/kra/confirmRecoverBySerial.template      | 10 ++++++++--
 base/kra/shared/webapps/kra/agent/kra/displayBySerial.template | 10 +++++++---
 .../kra/shared/webapps/kra/agent/kra/displayBySerial2.template |  6 ++++++
 .../webapps/kra/agent/kra/displayBySerialForRecovery.template  |  8 +++++++-
 base/kra/shared/webapps/kra/agent/kra/examineRecovery.template |  6 ++++++
 .../shared/webapps/kra/agent/kra/finishAsyncRecovery.template  |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/finishRecovery.template  |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/frameGrant.html          |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/frameRecover.html        |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/frameRequest.html        |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/frameSearch.html         |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/frameStats.html          |  6 ++++++
 .../shared/webapps/kra/agent/kra/getApprovalStatus.template    |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/getStats.template        |  6 ++++++
 .../shared/webapps/kra/agent/kra/grantAsyncRecovery.template   | 10 +++++++++-
 base/kra/shared/webapps/kra/agent/kra/grantRecovery.template   | 10 +++++++++-
 base/kra/shared/webapps/kra/agent/kra/index.jsp                |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/menuCheck.html           |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/menuGrant.html           |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/menuRecover.html         |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/menuRequest.html         |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/menuSearch.html          |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/menuStats.html           |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/monitor.template         |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/processReq.template      |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/queryKey.template        |  6 ++++++
 .../shared/webapps/kra/agent/kra/queryKeyForRecovery.template  |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/queryReq.template        |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/recoverBySerial.template |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/srchKey.template         |  6 ++++++
 .../shared/webapps/kra/agent/kra/srchKeyForRecovery.template   |  6 ++++++
 base/kra/shared/webapps/kra/agent/kra/top.html                 |  8 ++++++--
 base/kra/shared/webapps/kra/index.jsp                          |  8 ++++++++
 base/kra/shared/webapps/kra/services.template                  |  8 ++++++--
 52 files changed, 346 insertions(+), 29 deletions(-)

diff --git a/base/kra/shared/webapps/kra/404.html b/base/kra/shared/webapps/kra/404.html
index 4bbf7ec65e1623435255f4f0726accae560d3576..51e545f2300a7077cb048d68a8867577c57c7300 100755
--- a/base/kra/shared/webapps/kra/404.html
+++ b/base/kra/shared/webapps/kra/404.html
@@ -25,8 +25,12 @@ var port = location.port;
 </script>
 
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/kra/shared/webapps/kra/500.html b/base/kra/shared/webapps/kra/500.html
index c2cf77f9d7ea6c65a3efeedf1a70275dc28a740f..278504f09c7adb33a04a0df8e9ba63dc01562fc7 100755
--- a/base/kra/shared/webapps/kra/500.html
+++ b/base/kra/shared/webapps/kra/500.html
@@ -25,8 +25,12 @@ var port = location.port;
 </script>
 
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/kra/shared/webapps/kra/GenUnexpectedError.template b/base/kra/shared/webapps/kra/GenUnexpectedError.template
index 8cf1a05b968e601c5217d2c9ea4ab689161a573c..5708cfa29bc1d81aeb46c4d83b39a7b7adc2a12d 100644
--- a/base/kra/shared/webapps/kra/GenUnexpectedError.template
+++ b/base/kra/shared/webapps/kra/GenUnexpectedError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>DRM Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/GenError.template b/base/kra/shared/webapps/kra/agent/GenError.template
index 00fc21da0224bf239969fc5deceddb8f3f6d1450..3455d77d5464fe51b310cc1bbd3eb072211dbf83 100644
--- a/base/kra/shared/webapps/kra/agent/GenError.template
+++ b/base/kra/shared/webapps/kra/agent/GenError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/GenPending.template b/base/kra/shared/webapps/kra/agent/GenPending.template
index 62d4316b158616c495aa6ac6e297cf7420986693..227c5cf0e3e6a11e70bf0cef32d394c63c4e8626 100644
--- a/base/kra/shared/webapps/kra/agent/GenPending.template
+++ b/base/kra/shared/webapps/kra/agent/GenPending.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Request Pending</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 
diff --git a/base/kra/shared/webapps/kra/agent/GenRejected.template b/base/kra/shared/webapps/kra/agent/GenRejected.template
index d6c67f2c44de933730eaccc4ad7e4c68c690ba06..95a3409b022b5e23afd45345d16d044b9146eb17 100644
--- a/base/kra/shared/webapps/kra/agent/GenRejected.template
+++ b/base/kra/shared/webapps/kra/agent/GenRejected.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Request Rejected</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/GenSuccess.template b/base/kra/shared/webapps/kra/agent/GenSuccess.template
index dc3a9775ff2fc2ea311f8414e44d563706185534..e989e9013f4b1123815ca6aca2daa70deec66436 100644
--- a/base/kra/shared/webapps/kra/agent/GenSuccess.template
+++ b/base/kra/shared/webapps/kra/agent/GenSuccess.template
@@ -17,11 +17,18 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <!-- This template is intended to be replaced by request specific results !  -->
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Generic Request Success</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR=white>
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/GenSvcPending.template b/base/kra/shared/webapps/kra/agent/GenSvcPending.template
index 66a524912a0d68377d71c260910261b0e5310cea..dbe41202c8afab855298eff3cf27015c33af8e02 100644
--- a/base/kra/shared/webapps/kra/agent/GenSvcPending.template
+++ b/base/kra/shared/webapps/kra/agent/GenSvcPending.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Request Svc Pending</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY bgcolor="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/GenUnauthorized.template b/base/kra/shared/webapps/kra/agent/GenUnauthorized.template
index fc137d06bf49ce99138a33f98c9794323c634262..603375714c73444e3cc396bdcfd08a73b99ea1ab 100644
--- a/base/kra/shared/webapps/kra/agent/GenUnauthorized.template
+++ b/base/kra/shared/webapps/kra/agent/GenUnauthorized.template
@@ -17,11 +17,18 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <!-- This template is intended to be replaced by request specific results !  -->
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Generic Unauthorized</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR=white>
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/GenUnexpectedError.template b/base/kra/shared/webapps/kra/agent/GenUnexpectedError.template
index 2427a67b606321e3e2093880ca7984a2864b09e1..5bdac5d271ce888f668669ea6c366dc1e772f8c8 100644
--- a/base/kra/shared/webapps/kra/agent/GenUnexpectedError.template
+++ b/base/kra/shared/webapps/kra/agent/GenUnexpectedError.template
@@ -17,10 +17,17 @@
      --- END COPYRIGHT BLOCK --- -->
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<head>
 <CMS_TEMPLATE>
 
 <TITLE>DRM Agent Processing Error!</TITLE>
-
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <BODY BGCOLOR="white">
 
 <font size="+1" face="PrimaSans BT, Verdana, Arial, Helvetica, sans-serif">
diff --git a/base/kra/shared/webapps/kra/agent/header.template b/base/kra/shared/webapps/kra/agent/header.template
index 63c3708a9dc3088b824a2b740f57bbeefb0053ea..33f44720eb82d07c56d6d947dba932f461b1210d 100644
--- a/base/kra/shared/webapps/kra/agent/header.template
+++ b/base/kra/shared/webapps/kra/agent/header.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/kra/shared/webapps/kra/agent/index.jsp b/base/kra/shared/webapps/kra/agent/index.jsp
index 30662d47aa6a0c3f7aafc03acf16b02cf2ac93bf..f67d172bd22b35947fd63d86656108ac5fdc112a 100644
--- a/base/kra/shared/webapps/kra/agent/index.jsp
+++ b/base/kra/shared/webapps/kra/agent/index.jsp
@@ -16,8 +16,17 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+
 <script lang="javascript">
     // redirect to 'ROOT'
     window.location = "/";
 </script>
+</head>
 </html>
diff --git a/base/kra/shared/webapps/kra/agent/index.template b/base/kra/shared/webapps/kra/agent/index.template
index af0bd87a52201c11e62b113c6cea1def9bcb6a36..3cb9c0e070491641d1252c87ed043e74015c982e 100644
--- a/base/kra/shared/webapps/kra/agent/index.template
+++ b/base/kra/shared/webapps/kra/agent/index.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/kra/shared/webapps/kra/agent/kra/GrantRecovery.html b/base/kra/shared/webapps/kra/agent/kra/GrantRecovery.html
index 4a2cf018ed020343710bc8b3091cd2513f55f972..aa4864a04396dd1cf8dbdbd1cbff7f9f54669b0f 100644
--- a/base/kra/shared/webapps/kra/agent/kra/GrantRecovery.html
+++ b/base/kra/shared/webapps/kra/agent/kra/GrantRecovery.html
@@ -2,6 +2,12 @@
 <HTML>
 <HEAD>
 <TITLE>Authorize Recovery (for Recovery Agents)</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js">
 </SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/ListRequests.html b/base/kra/shared/webapps/kra/agent/kra/ListRequests.html
index 7140f9f80278a207d9ae27b40ebe15fa4d7fc300..6140f5d821d9b7f553575e77e903c04266de2fe5 100644
--- a/base/kra/shared/webapps/kra/agent/kra/ListRequests.html
+++ b/base/kra/shared/webapps/kra/agent/kra/ListRequests.html
@@ -3,6 +3,12 @@
 <HEAD>
 <TITLE>List Key Service Requests</TITLE>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../funcs.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/SrchKey.html b/base/kra/shared/webapps/kra/agent/kra/SrchKey.html
index 716959574110c55f42a742cde76c60ad663b4499..6be3bd706bab5c106b7307973b002ddedafc4cca 100644
--- a/base/kra/shared/webapps/kra/agent/kra/SrchKey.html
+++ b/base/kra/shared/webapps/kra/agent/kra/SrchKey.html
@@ -4,6 +4,12 @@
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta name="GENERATOR" content="Mozilla/4.5 [en]C-NSCP  (WinNT; I) [Netscape]">
    <title>Search for Keys</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/SrchRecoverKey.html b/base/kra/shared/webapps/kra/agent/kra/SrchRecoverKey.html
index 29989a7731e1129113923f56fd0e42838adada6a..a0404453a77990d3d255b7ab7dba51d69e60fbf3 100644
--- a/base/kra/shared/webapps/kra/agent/kra/SrchRecoverKey.html
+++ b/base/kra/shared/webapps/kra/agent/kra/SrchRecoverKey.html
@@ -4,6 +4,12 @@
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta name="GENERATOR" content="Mozilla/4.5 [en]C-NSCP  (WinNT; I) [Netscape]">
    <title>Recover Keys (for Administrators)</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/confirmRecover.html b/base/kra/shared/webapps/kra/agent/kra/confirmRecover.html
index 94df8b7f7c5b6811f2b67abe12e3fbdbd20b6cf9..4bdcbd2e5a558a9ac9487c6f1027c058fe14c6a1 100644
--- a/base/kra/shared/webapps/kra/agent/kra/confirmRecover.html
+++ b/base/kra/shared/webapps/kra/agent/kra/confirmRecover.html
@@ -1,6 +1,14 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
-<TITLE>Recover Key Confirm</TITLE>
 <HEAD>
+<TITLE>Recover Key Confirm</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</HEAD>
+<BODY>
 </BODY>
 </HTML>
diff --git a/base/kra/shared/webapps/kra/agent/kra/confirmRecoverBySerial.template b/base/kra/shared/webapps/kra/agent/kra/confirmRecoverBySerial.template
index 88a8d5c8484b7bc041ec436608cf3143b332d09b..850351ff07439182d5c0ad149657c47c23f9e736 100644
--- a/base/kra/shared/webapps/kra/agent/kra/confirmRecoverBySerial.template
+++ b/base/kra/shared/webapps/kra/agent/kra/confirmRecoverBySerial.template
@@ -1,9 +1,15 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
+<HEAD>
 <CMS_TEMPLATE>
 <TITLE>Recovering Key</TITLE>
-
-<HEAD>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</HEAD>
 <BODY bgcolor="white">
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/displayBySerial.template b/base/kra/shared/webapps/kra/agent/kra/displayBySerial.template
index d3fb7440731cf54f9e5de081d6639569d4ea96a7..912fbf95e2171c9f119c9ff8877a41b24cb0b9ad 100644
--- a/base/kra/shared/webapps/kra/agent/kra/displayBySerial.template
+++ b/base/kra/shared/webapps/kra/agent/kra/displayBySerial.template
@@ -1,12 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
+<title>Display Key</title>
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <CMS_TEMPLATE>
-<title>Display Key</title>
-<head>
-</head>
 <body bgcolor="white">
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/displayBySerial2.template b/base/kra/shared/webapps/kra/agent/kra/displayBySerial2.template
index 06bef2f9f1fde319bca4f55cf4af21d273dd2ee5..8e5ee405b44bd224e6696314c52e68bdb9449d05 100644
--- a/base/kra/shared/webapps/kra/agent/kra/displayBySerial2.template
+++ b/base/kra/shared/webapps/kra/agent/kra/displayBySerial2.template
@@ -3,6 +3,12 @@
 <head>
    <title>Display Certificate</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <CMS_TEMPLATE>
diff --git a/base/kra/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template b/base/kra/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template
index 938a0be1deb471ba2359ac20dc3ebce132e70fe6..80784bfee872789db8e04f8d93726c4110f69e88 100644
--- a/base/kra/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/displayBySerialForRecovery.template
@@ -1,10 +1,16 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
+<title>Display Key</title>
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <CMS_TEMPLATE>
-<title>Display Key</title>
 <body bgcolor="white">
 
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/kra/shared/webapps/kra/agent/kra/examineRecovery.template b/base/kra/shared/webapps/kra/agent/kra/examineRecovery.template
index f5a1f1f14acdfabdf168ba9a6d21e59017929136..0253f7ee0417d85919c0eda6b13cd9d8741b0620 100644
--- a/base/kra/shared/webapps/kra/agent/kra/examineRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/examineRecovery.template
@@ -4,6 +4,12 @@
 <title>Examine Recovery</title>
 <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <body bgcolor="white">
 
diff --git a/base/kra/shared/webapps/kra/agent/kra/finishAsyncRecovery.template b/base/kra/shared/webapps/kra/agent/kra/finishAsyncRecovery.template
index f6f2bdeb9fc9fce14ff9368853c066a27016ae66..5a3fb31e736dce715588d8dbb0cc4afbf8cdd24d 100644
--- a/base/kra/shared/webapps/kra/agent/kra/finishAsyncRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/finishAsyncRecovery.template
@@ -2,6 +2,12 @@
 <html>
 <head>
 <title>Key Recovery Result</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <body bgcolor="white">
 <CMS_TEMPLATE>
diff --git a/base/kra/shared/webapps/kra/agent/kra/finishRecovery.template b/base/kra/shared/webapps/kra/agent/kra/finishRecovery.template
index 78553d2fa3fca78d54bb06d145a688d7a7f1959d..c439b802ed4f40bbdbbd2113ef27df846c8420f5 100644
--- a/base/kra/shared/webapps/kra/agent/kra/finishRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/finishRecovery.template
@@ -2,6 +2,12 @@
 <html>
 <head>
 <title>Key Recovery Result</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <body bgcolor="white">
 <CMS_TEMPLATE>
diff --git a/base/kra/shared/webapps/kra/agent/kra/frameGrant.html b/base/kra/shared/webapps/kra/agent/kra/frameGrant.html
index 14b3ced023e9b0c2810c70dfadf70897a9744eea..fe973a1d6c0a7f560d60c43421a6d5764f282c7d 100644
--- a/base/kra/shared/webapps/kra/agent/kra/frameGrant.html
+++ b/base/kra/shared/webapps/kra/agent/kra/frameGrant.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO"> 
diff --git a/base/kra/shared/webapps/kra/agent/kra/frameRecover.html b/base/kra/shared/webapps/kra/agent/kra/frameRecover.html
index 60cd76f41175dbfab1f9c424156657e427cdf934..20ae5fd8845feb74a2edc9850d4f7329cbfa8f8e 100644
--- a/base/kra/shared/webapps/kra/agent/kra/frameRecover.html
+++ b/base/kra/shared/webapps/kra/agent/kra/frameRecover.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO"> 
diff --git a/base/kra/shared/webapps/kra/agent/kra/frameRequest.html b/base/kra/shared/webapps/kra/agent/kra/frameRequest.html
index ae544e34b1ced1fa5012cf738450b488e6554d3f..4bd7fea83670c8ce371029346eff824c574f3d70 100644
--- a/base/kra/shared/webapps/kra/agent/kra/frameRequest.html
+++ b/base/kra/shared/webapps/kra/agent/kra/frameRequest.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO"> 
diff --git a/base/kra/shared/webapps/kra/agent/kra/frameSearch.html b/base/kra/shared/webapps/kra/agent/kra/frameSearch.html
index a48fee2e6cb4435e025d7f04c9307e2c5ce3c303..d50839d397f69c1f27a7b590029a7c60ff64d3d6 100644
--- a/base/kra/shared/webapps/kra/agent/kra/frameSearch.html
+++ b/base/kra/shared/webapps/kra/agent/kra/frameSearch.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO"> 
diff --git a/base/kra/shared/webapps/kra/agent/kra/frameStats.html b/base/kra/shared/webapps/kra/agent/kra/frameStats.html
index 57a24de4732d09f1a6d962f579661f9e4cf0c1d7..8c983ae99222b28ab25c6a78dfc91b342a8fd7d1 100644
--- a/base/kra/shared/webapps/kra/agent/kra/frameStats.html
+++ b/base/kra/shared/webapps/kra/agent/kra/frameStats.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset cols="140,1*" border="0" frameborder="NO"> 
diff --git a/base/kra/shared/webapps/kra/agent/kra/getApprovalStatus.template b/base/kra/shared/webapps/kra/agent/kra/getApprovalStatus.template
index 50196ce9fdd43c0f0d78a6782b21673f5b78c0e5..b1b63a3e158a7101f569c8545c8c3e1c96334b7f 100644
--- a/base/kra/shared/webapps/kra/agent/kra/getApprovalStatus.template
+++ b/base/kra/shared/webapps/kra/agent/kra/getApprovalStatus.template
@@ -3,6 +3,12 @@
 <head>
 <META HTTP-EQUIV="Refresh" CONTENT="5">
 <title>Key Recovery Result</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <body bgcolor="white">
 <CMS_TEMPLATE>
diff --git a/base/kra/shared/webapps/kra/agent/kra/getStats.template b/base/kra/shared/webapps/kra/agent/kra/getStats.template
index b2cb3415a95ff810c462cbe1162cd161143b66d7..9a45583f8afdf6f56d80b0a84fd7b0ef432508d8 100644
--- a/base/kra/shared/webapps/kra/agent/kra/getStats.template
+++ b/base/kra/shared/webapps/kra/agent/kra/getStats.template
@@ -3,6 +3,12 @@
 <head>
    <title>Display CRL</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript" SRC="../helpfun.js"></SCRIPT>
 <SCRIPT LANGUAGE="JavaScript">
diff --git a/base/kra/shared/webapps/kra/agent/kra/grantAsyncRecovery.template b/base/kra/shared/webapps/kra/agent/kra/grantAsyncRecovery.template
index c76e61ac4ac9881dd1c9edc128ee325093809f45..ce73a59b1aac9d046f7b2584d690b5a4373c4b32 100644
--- a/base/kra/shared/webapps/kra/agent/kra/grantAsyncRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/grantAsyncRecovery.template
@@ -1,7 +1,15 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <CMS_TEMPLATE>
-<head><title>Key Recovery Grant Result</title></head>
+<head>
+<title>Key Recovery Grant Result</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <body bgcolor="white">
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/grantRecovery.template b/base/kra/shared/webapps/kra/agent/kra/grantRecovery.template
index b6668acc5c374933437c397094fe775f3314f916..eaa140063424a78df6b2612a287dd77aad7ce8f1 100644
--- a/base/kra/shared/webapps/kra/agent/kra/grantRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/grantRecovery.template
@@ -1,7 +1,15 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <CMS_TEMPLATE>
-<head><title>Key Recovery Result</title></head>
+<head>
+<title>Key Recovery Result</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
+</head>
 <body bgcolor="white">
 
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/index.jsp b/base/kra/shared/webapps/kra/agent/kra/index.jsp
index 3caedfb99b640f891b65be97ac1ab4e322b47d23..3ed6db185224ac6123618d12a62c7ec205c8b120 100644
--- a/base/kra/shared/webapps/kra/agent/kra/index.jsp
+++ b/base/kra/shared/webapps/kra/agent/kra/index.jsp
@@ -4,6 +4,12 @@
 <title>DRM Agent</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
 <link rel="shortcut icon" href="/pki/images/favicon.ico" />
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <frameset rows="105,1*" frameborder="NO" border="0"> 
diff --git a/base/kra/shared/webapps/kra/agent/kra/menuCheck.html b/base/kra/shared/webapps/kra/agent/kra/menuCheck.html
index 0787f104c35b560b3dc54d5461d4b83fb95d0c37..0b068b4819b3fe947408e4ae947eac0c8d2d9e04 100644
--- a/base/kra/shared/webapps/kra/agent/kra/menuCheck.html
+++ b/base/kra/shared/webapps/kra/agent/kra/menuCheck.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/kra/shared/webapps/kra/agent/kra/menuGrant.html b/base/kra/shared/webapps/kra/agent/kra/menuGrant.html
index 594dfaf06181b328fcfbbe3b7f80e74e1f340b2b..c973835199be99776eab28581cfc68f77bf32edf 100644
--- a/base/kra/shared/webapps/kra/agent/kra/menuGrant.html
+++ b/base/kra/shared/webapps/kra/agent/kra/menuGrant.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/kra/shared/webapps/kra/agent/kra/menuRecover.html b/base/kra/shared/webapps/kra/agent/kra/menuRecover.html
index 1439917d466d6b8507ce014998cde6cebf849abf..d2a143b4c8e9895141efd892bb2b93b5ede858ed 100644
--- a/base/kra/shared/webapps/kra/agent/kra/menuRecover.html
+++ b/base/kra/shared/webapps/kra/agent/kra/menuRecover.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/kra/shared/webapps/kra/agent/kra/menuRequest.html b/base/kra/shared/webapps/kra/agent/kra/menuRequest.html
index 69a5300a60b6b1361fc9aa1f5d9f6c1a858192aa..1125586296142424b4f8bb11f18dc82ae0e6393a 100644
--- a/base/kra/shared/webapps/kra/agent/kra/menuRequest.html
+++ b/base/kra/shared/webapps/kra/agent/kra/menuRequest.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/kra/shared/webapps/kra/agent/kra/menuSearch.html b/base/kra/shared/webapps/kra/agent/kra/menuSearch.html
index e3f23d53f5826521df47de138125027d8852fe74..3a1f9bbad4aaded99432cb2e2c995f8462100b24 100644
--- a/base/kra/shared/webapps/kra/agent/kra/menuSearch.html
+++ b/base/kra/shared/webapps/kra/agent/kra/menuSearch.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/kra/shared/webapps/kra/agent/kra/menuStats.html b/base/kra/shared/webapps/kra/agent/kra/menuStats.html
index 2d132b185838f1e11fdeecf0bb74ffc6754d38ad..0f4de786a96e1dd591c75b99bbbc8b2ccff8a445 100644
--- a/base/kra/shared/webapps/kra/agent/kra/menuStats.html
+++ b/base/kra/shared/webapps/kra/agent/kra/menuStats.html
@@ -3,6 +3,12 @@
 <head>
 <title>Untitled Document</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <body bgcolor="#CCCCCC" link="#FFFFFF" vlink="#FFFFFF" alink="#333399">
diff --git a/base/kra/shared/webapps/kra/agent/kra/monitor.template b/base/kra/shared/webapps/kra/agent/kra/monitor.template
index 35896baf16b0533bf0e1a042b02d0926f516b6a0..e2bbb11caad8b09fc81463291348ba0e7dd1f215 100644
--- a/base/kra/shared/webapps/kra/agent/kra/monitor.template
+++ b/base/kra/shared/webapps/kra/agent/kra/monitor.template
@@ -1,6 +1,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <HTML>
 <HEAD><TITLE>Monitor</TITLE>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
 </HEAD>
 <CMS_TEMPLATE>
diff --git a/base/kra/shared/webapps/kra/agent/kra/processReq.template b/base/kra/shared/webapps/kra/agent/kra/processReq.template
index 078764d989640f46a4a711def96c0bced016b37a..68c6112aba9756d89f22e2a688ed50e376630fb2 100644
--- a/base/kra/shared/webapps/kra/agent/kra/processReq.template
+++ b/base/kra/shared/webapps/kra/agent/kra/processReq.template
@@ -2,6 +2,12 @@
 <html>
 <head> 
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>  
 <CMS_TEMPLATE>
 <SCRIPT LANGUAGE="JavaScript"></SCRIPT>
diff --git a/base/kra/shared/webapps/kra/agent/kra/queryKey.template b/base/kra/shared/webapps/kra/agent/kra/queryKey.template
index fd2348dc6af04b012a3d2e053471eb25cf7aa0d7..2dd91aa3a5cdba2ba6ce0bfa3368f8a12f70bec7 100644
--- a/base/kra/shared/webapps/kra/agent/kra/queryKey.template
+++ b/base/kra/shared/webapps/kra/agent/kra/queryKey.template
@@ -3,6 +3,12 @@
 <CMS_TEMPLATE>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <title>Key Query Result</title>
diff --git a/base/kra/shared/webapps/kra/agent/kra/queryKeyForRecovery.template b/base/kra/shared/webapps/kra/agent/kra/queryKeyForRecovery.template
index aec54464d1e12b4bd8d230ec5287783a798bf61d..a8c771c6422444e6c959cb37f84f6f1ec5797ef1 100644
--- a/base/kra/shared/webapps/kra/agent/kra/queryKeyForRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/queryKeyForRecovery.template
@@ -3,6 +3,12 @@
 <CMS_TEMPLATE>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <title>Key Query Result</title>
 <body bgcolor="white">
diff --git a/base/kra/shared/webapps/kra/agent/kra/queryReq.template b/base/kra/shared/webapps/kra/agent/kra/queryReq.template
index 61a7bb0a202637035963eb2e387411c252fe9339..cfdcf46934429ecaaeb8ac9f28d186545c19cf89 100644
--- a/base/kra/shared/webapps/kra/agent/kra/queryReq.template
+++ b/base/kra/shared/webapps/kra/agent/kra/queryReq.template
@@ -3,6 +3,12 @@
 <head>
    <title>Request Queue</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <style type="text/css">
 
 .floating {
diff --git a/base/kra/shared/webapps/kra/agent/kra/recoverBySerial.template b/base/kra/shared/webapps/kra/agent/kra/recoverBySerial.template
index 027c318872ca38ffa18a1631eb694a7a5d54f7ec..83712d516dc7342b8d6c012f3d99f6a1c2300321 100644
--- a/base/kra/shared/webapps/kra/agent/kra/recoverBySerial.template
+++ b/base/kra/shared/webapps/kra/agent/kra/recoverBySerial.template
@@ -2,6 +2,12 @@
 <html>
 <head>
 <title>Key Recovery Result</title>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 <body bgcolor="white">
 
diff --git a/base/kra/shared/webapps/kra/agent/kra/srchKey.template b/base/kra/shared/webapps/kra/agent/kra/srchKey.template
index b58961fcc028785020f4c0f1765f2862aed87d5e..59847b995dae92c4f41c870ff9b54e670ae577d7 100644
--- a/base/kra/shared/webapps/kra/agent/kra/srchKey.template
+++ b/base/kra/shared/webapps/kra/agent/kra/srchKey.template
@@ -3,6 +3,12 @@
 <CMS_TEMPLATE>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <title>Key Query Result</title>
diff --git a/base/kra/shared/webapps/kra/agent/kra/srchKeyForRecovery.template b/base/kra/shared/webapps/kra/agent/kra/srchKeyForRecovery.template
index a0598b915d4c95b15da9a5a368ec1c8cdaaff5e6..03edd513df1c51bdfdc4085013ee46bb50811581 100644
--- a/base/kra/shared/webapps/kra/agent/kra/srchKeyForRecovery.template
+++ b/base/kra/shared/webapps/kra/agent/kra/srchKeyForRecovery.template
@@ -3,6 +3,12 @@
 <CMS_TEMPLATE>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 </head>
 
 <title>Key Query Result</title>
diff --git a/base/kra/shared/webapps/kra/agent/kra/top.html b/base/kra/shared/webapps/kra/agent/kra/top.html
index 5c2532cf912246d45d23ddda5b81026d75283e8e..7e0418693e9ecd1c7f4e77bc56379e61fbbc26da 100644
--- a/base/kra/shared/webapps/kra/agent/kra/top.html
+++ b/base/kra/shared/webapps/kra/agent/kra/top.html
@@ -1,8 +1,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
diff --git a/base/kra/shared/webapps/kra/index.jsp b/base/kra/shared/webapps/kra/index.jsp
index 11897c49fb7f10d42e24867bb9badc129340259d..92676cda742c18788dc14df9217766a9dccc3210 100644
--- a/base/kra/shared/webapps/kra/index.jsp
+++ b/base/kra/shared/webapps/kra/index.jsp
@@ -16,7 +16,15 @@
      All rights reserved.
      --- END COPYRIGHT BLOCK --- -->
 <html>
+<head>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 <script lang="javascript">
     window.location = '/kra/services';
 </script>
+</head>
 </html>
diff --git a/base/kra/shared/webapps/kra/services.template b/base/kra/shared/webapps/kra/services.template
index 7f075dd91d4a3cb0410bbeaecb05b4453a2b7b5d..ff6e1fc7224c65eb281c524929a9ae6d4b2bd539 100644
--- a/base/kra/shared/webapps/kra/services.template
+++ b/base/kra/shared/webapps/kra/services.template
@@ -18,8 +18,12 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
 <html>
 <head>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.js"></script>
-<script type="text/javascript" language="JavaScript" src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/jquery.js"></script>
+<script src="/pki/js/jquery.i18n.properties.js"></script>
+<script src="/pki/js/underscore.js"></script>
+<script src="/pki/js/backbone.js"></script>
+<script src="/pki/js/pki.js"></script>
+<script src="/pki/js/pki-banner.js"></script>
 
 <script type="text/javascript" language="JavaScript">
 $(function() {
-- 
2.9.3

